﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNet.Mvc;

namespace KendoPieRemoteData.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }

        private static string getPieChartData()
        {
            string document = "" +
            "[{" +
                "\"Name\": \"Inbound GoodMail\"," +
                "\"MessageCount\": \"1394\"," +
                "\"Date\": \"2015-10-05\"" +
            "},"
            +
            "{" +
                "\"Name\": \"Outbound GoodMail\"," +
                "\"MessageCount\": \"724\"," +
                "\"Date\": \"2015-10-05\"" +
            "},"
            +
            "{" +
                "\"Name\": \"Outbound GoodMail\"," +
                "\"MessageCount\": \"504\"," +
                "\"Date\": \"2015-10-06\"" +
            "},"
            +
            "{" +
                "\"Name\": \"Inbound GoodMail\"," +
                "\"MessageCount\": \"256\"," +
                "\"Date\": \"2015-10-06\"" +
            "}]";

            return document;
        }

        public ActionResult KendoSupportTest()
        {

            ViewData["Message"] = "Your reports page.";
            return View();
        }

        public ContentResult ReportData()
        {
            ViewData["Message"] = "Your reports page.";
            string json = getPieChartData();
            return this.Content(json, "application/json");
        }
    }
}
